Go to the latest version of this document.

# ``twisted`.`internet`.`interfaces`.`IReactorWin32Events``

interface documentation

`class IReactorWin32Events(Interface): (source)`

Known implementations: `twisted.internet.win32eventreactor.Win32Reactor`, `twisted.internet.win32eventreactor._ThreadedWin32EventsMixin`

View In Hierarchy

Win32 Event API methods

Present Since
10.2

Method | `addEvent` | Add a new win32 event to the event loop.
Method | `removeEvent` | Remove an event.

def addEvent(event: `object`, fd: `FileDescriptor`, action: `str`): (source)

Add a new win32 event to the event loop.

Parameters
event:`object` | a Win32 event object created using win32event.CreateEvent()
fd:`FileDescriptor` | an instance of `twisted.internet.abstract.FileDescriptor`
action:`str` | a string that is a method name of the fd instance. This method is called in response to the event.

def removeEvent(event: `object`): (source)

Remove an event.

Parameters
event:`object` | a Win32 event object added using `IReactorWin32Events.addEvent`

Returns
None